Debian Bug report logs - #707556
ITP: node-keypress -- Make any Node ReadableStream emit "keypress" events

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Thu, 9 May 2013 12:00:07 UTC

Owned by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Severity: wishlist

Fixed in version node-keypress/0.1.0-1

Done: Mike Gabriel <sunweaver@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, pkg-javascript-devel@lists.alioth.debian.org, wnpp@debian.org:
Bug#707556; Package wnpp. (Thu, 09 May 2013 12:00:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, pkg-javascript-devel@lists.alioth.debian.org, wnpp@debian.org. (Thu, 09 May 2013 12:00:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: node-keypress -- Make any Node ReadableStream emit "keypress" events
Date: Thu, 09 May 2013 13:59:14 +0200
Package: wnpp
Severity: wishlist
Owner: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

* Package name    : node-keypress
  Version         : 0.1.0
  Upstream Author : Nathan Rajlich <nathan@tootallnate.net>
* URL             : https://github.com/TooTallNate/keypress
* License         : MIT
  Programming Lang: Javascript
  Description     : Make any Node ReadableStream emit "keypress" events

 Previous to Node v0.8.x, there was an undocumented "keypress" event that
 process.stdin would emit when it was a TTY. Some people discovered this
 hidden gem, and started using it in their own code.
 .
 In Node v0.8.x (and above), this "keypress" event does not get emitted by default,
 but rather only when it is being used in conjuction with the readline (or
 by extension, the repl) module.
 .
 This module is the exact logic from the node pre-v0.8.x releases ripped out
 into its own module.
 .
 Bonus: Now with mouse support!



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 09 May 2013 20:06:19 GMT) Full text and rfc822 format available.

Reply sent to Mike Gabriel <sunweaver@debian.org>:
You have taken responsibility. (Thu, 16 May 2013 13:04:46 GMT) Full text and rfc822 format available.

Notification sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug acknowledged by developer. (Thu, 16 May 2013 13:04:46 GMT) Full text and rfc822 format available.

Message #12 received at 707556-close@bugs.debian.org (full text, mbox):

From: Mike Gabriel <sunweaver@debian.org>
To: 707556-close@bugs.debian.org
Subject: Bug#707556: fixed in node-keypress 0.1.0-1
Date: Thu, 16 May 2013 13:00:06 +0000
Source: node-keypress
Source-Version: 0.1.0-1

We believe that the bug you reported is fixed in the latest version of
node-keypress, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 707556@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mike Gabriel <sunweaver@debian.org> (supplier of updated node-keypress package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 09 May 2013 14:06:51 +0200
Source: node-keypress
Binary: node-keypress
Architecture: source all
Version: 0.1.0-1
Distribution: sid
Urgency: low
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Changed-By: Mike Gabriel <sunweaver@debian.org>
Description: 
 node-keypress - Make any Node ReadableStream emit "keypress" events
Closes: 707556
Changes: 
 node-keypress (0.1.0-1) unstable; urgency=low
 .
   * Initial release. (Closes: #707556).
Checksums-Sha1: 
 c8a603e8138a54ee89d4f4a2da1f592d91b9f76f 1982 node-keypress_0.1.0-1.dsc
 90023835886af3fbd784426134f46d9538216bec 4600 node-keypress_0.1.0.orig.tar.gz
 97643d3fccf4d83e1a91cb7207a3eb5e8ccbddd6 2376 node-keypress_0.1.0-1.debian.tar.gz
 d2fdada49846d51d75c931de313ec97dffacd55f 6122 node-keypress_0.1.0-1_all.deb
Checksums-Sha256: 
 0786de362905329e8dacfc42c321830b2aeedfbedf08e9726b145c8a1ae0bc1f 1982 node-keypress_0.1.0-1.dsc
 a805011b5915da1ff8455cfd48f4209604db23447a995eae64205fa33125fd99 4600 node-keypress_0.1.0.orig.tar.gz
 637657bb85d0a86768b8889ae99e2ab8b3d6a3fb244b9094ab8e4a1ed0b3c647 2376 node-keypress_0.1.0-1.debian.tar.gz
 7d2eaa0c7d483f8b0b8918968ab95e6f1015fb10489d99e8d6cdc5062fd87a7b 6122 node-keypress_0.1.0-1_all.deb
Files: 
 eea72ce059e65d8ff771b2b67f1be95a 1982 web extra node-keypress_0.1.0-1.dsc
 f593788c83923aebeee0c1e7f3740220 4600 web extra node-keypress_0.1.0.orig.tar.gz
 9375d380d9b39f8f95fd0aa6a29d88fb 2376 web extra node-keypress_0.1.0-1.debian.tar.gz
 e85e4acece58da6aeebad9dc37933c53 6122 web extra node-keypress_0.1.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJRi5IgAAoJEJr0azAldxsxIfUQALmnbq1vc4HvHr+xwvckhjpJ
0WyGGN6m1UoqyKHpN3oQRz9iPCO0jA5xSyBZ8VaCsWJ2FsPezl9Dpef588jimrIF
56/tHzoAMzVNbo9WPEkuAQMO/ezwM+s5FQUF6LeIRiLn5BqEEaFX9xn6OOr93c2E
o3t7lF4s7bsG9VUaBoywz+DEE5SdxybZxhLUNBB6p18XERsf2OaxCdvyw6ZvrVwW
NOhGLvFJMXCQA1PReD2GE/i76BuWxeRDpw1Rm3ATPOozRDJB6KgvGcp85kr18ILf
lQWqUFaarusQbfgPaFaNa2ZL2dNMORy1Y/R0b2CMqH4egsmGFD3Vvh8zmKkjz687
NhaWIxJplxJyytOl9kVxgwK2ugHzjJO7B52GH52evei5mAnF+h58eFdx7w5ukRjR
Kjo36qV6vtWch/ofa+Vd1caLEwl7TO30r+/7OROBlfN7NrrDONfcIWyz5KXj2x5h
lzbMUsp3qBEHWhhX6QJhUPnydMXcYlKlFLBW8TCkZO8RSR9OYY6NYn2nkY2nNEFh
/673h/k94exEf/9M2muh7WGtrj8ixpQbnODXXLl1x7DJOQGK7T1KMW3N1+q2wGEg
gJkYezgbrY3ydBkHxmJmSZrsLvisZtVER9His582b9tQ6GNzrhiBTd8eHaU9tQJS
AQ0LK6iG1fAycomBJ0oj
=zW8f
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 14 Jun 2013 07:51:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:10:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.